<template>
  <q-dialog v-model="dialogState">
    <!-- Контент диалога -->
    <q-card>
      <q-card-section class="row items-center q-pb-none">
        <q-space />
        <q-btn icon="close" flat round @click="closeDialog" />
      </q-card-section>

      <q-card-section>
        <div class="text-h6">Login</div>
        <!-- Форма входа -->
        <!-- Пример: поле ввода для имени пользователя -->
        <q-input
          v-model="username"
          label="Username"
          lazy-rules
          :rules="[(val) => (val && val.length > 0) || 'Please enter username']"
        />
        <!-- Пример: поле ввода для пароля -->
        <q-input
          v-model="password"
          label="Password"
          type="password"
          lazy-rules
          :rules="[(val) => (val && val.length > 0) || 'Please enter password']"
        />
      </q-card-section>

      <q-card-actions align="right">
        <q-btn flat label="Cancel" color="primary" @click="closeDialog" />
        <q-btn flat label="Login" color="primary" @click="attemptLogin" />
      </q-card-actions>
    </q-card>
  </q-dialog>
</template>

<script lang="ts">
import { defineComponent, ref, Ref } from 'vue';

export default defineComponent({
  name: 'LoginDialog',

  props: {
    value: Boolean,
  },
  emits: ['update:value'],
  setup(props, { emit }) {
    const dialogState: Ref<boolean> = ref(props.value);
    const username: Ref<string> = ref('');
    const password: Ref<string> = ref('');

    const closeDialog = () => {
      emit('update:value', false);
    };

    const attemptLogin = () => {
      // Здесь логика для попытки входа в систему
      console.log('Login attempt with:', username.value, password.value);
      closeDialog();
    };

    return {
      dialogState,
      username,
      password,
      closeDialog,
      attemptLogin,
    };
  },
});
</script>

<style scoped>
/* Стили для LoginDialog, если необходимы */
</style>
